> ## Documentation Index
> Fetch the complete documentation index at: https://developers.getfernand.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Search for GitHub issues across all connected repositories

Searches for GitHub issues across all repositories that the GitHub integration has access to. The search query can include any GitHub search syntax. Returns up to 20 matching issues with their details including title, number, URL, state, repository, and issue type.


## OpenAPI

````yaml https://api.getfernand.com/openapi.json post /integrations/github/search
openapi: 3.0.3
info:
  title: Fernand API Documentation
  version: '3.0'
  description: This is the documentation for the [Fernand](https://getfernand.com) API.
  termsOfService: https://getfernand.com/terms
  contact:
    name: Fernand Support
    url: https://getfernand.com
    email: support@getfernand.com
  x-logo:
    url: https://app.getfernand.com/images/favicon/icon_128.png
servers:
  - url: https://api.getfernand.com
    description: ''
    x-last-modified: 1764750693905
security:
  - apiKeyHeader: []
externalDocs:
  description: You can access our documentation online by visiting https://api.fernand.help
  url: https://api.fernand.help
paths:
  /integrations/github/search:
    post:
      tags:
        - GitHub Integration
      summary: Search for GitHub issues across all connected repositories
      description: >-
        Searches for GitHub issues across all repositories that the GitHub
        integration has access to. The search query can include any GitHub
        search syntax. Returns up to 20 matching issues with their details
        including title, number, URL, state, repository, and issue type.
      operationId: searchGithubIssues
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                query:
                  type: string
                  description: Search query string (supports GitHub search syntax).
                  example: login bug
      responses:
        '200':
          description: Search results retrieved successfully.
          content:
            application/json:
              schema:
                type: array
                items:
                  type: object
                  properties:
                    id:
                      type: string
                      description: Unique identifier of the GitHub issue.
                      example: I_kwDOABCDEF
                    number:
                      type: integer
                      description: Issue number within the repository.
                      example: 42
                    title:
                      type: string
                      description: Title of the issue.
                      example: Fix login bug
                    url:
                      type: string
                      description: URL to view the issue on GitHub.
                      example: https://github.com/piedpiper/www/issues/42
                    state_reason:
                      type: string
                      description: >-
                        Reason for the current state (COMPLETED, NOT_PLANNED,
                        REOPENED, or null if open).
                      example: null
                    repository:
                      type: string
                      description: Full name of the repository (owner/repo).
                      example: piedpiper/www
                    type:
                      type: object
                      description: Issue type (null if no type is set).
                      properties:
                        id:
                          type: string
                          description: Unique identifier of the issue type.
                          example: IT_kwDOABCDEF
                        name:
                          type: string
                          description: Name of the issue type.
                          example: Bug
                        color:
                          type: string
                          description: Color hex code of the issue type.
                          example: d73a4a
        '404':
          description: GitHub integration not found for this organization.
components:
  securitySchemes:
    apiKeyHeader:
      type: apiKey
      description: >-
        Authenticate your account by including your secret key in API requests.

        You can manage your API keys in the
        [Dashboard](https://app.getfernand.com/).


        Authentication to the API is performed by using the HTTP Header
        X-API-Key.
      name: X-API-Key
      in: header
      x-last-modified: 1764750344730

````